Bug 16971 - Missing dependency for HTML::Entities
Summary: Missing dependency for HTML::Entities
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 17062 17063
  Show dependency treegraph
 
Reported: 2016-07-25 10:33 UTC by Marcel de Rooy
Modified: 2017-12-07 22:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16971: Missing dependency for HTML::Entities (1.36 KB, patch)
2016-07-25 10:36 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16971: Missing dependency for HTML::Entities (1.42 KB, patch)
2016-07-25 16:04 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16971: Missing dependency for HTML::Entities (1.39 KB, patch)
2016-07-25 16:15 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2016-07-25 10:33:57 UTC

    
Comment 1 Marcel de Rooy 2016-07-25 10:36:01 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-07-25 16:04:58 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-07-25 16:15:18 UTC
Created attachment 53698 [details] [review]
Bug 16971: Missing dependency for HTML::Entities

This module is already used in opac-password-recovery.pl.
It is loaded in Acquisition, but not used (anymore?).
It is not yet listed in PerlDependencies.

Note: The module is packaged for Debian Wheezy and Jessie.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Brendan Gallagher 2016-08-04 19:43:40 UTC
Pushed to Master - Should be in the November 2016 release.  Thanks!
Comment 5 Frédéric Demians 2016-08-05 06:47:19 UTC
Pushed in 16.05. Will be in 16.05.03.
Comment 6 Frédéric Demians 2016-08-05 06:50:05 UTC
Mirko: Could you add libhtml-entities-perl to debian/control, in another patch or in this one?
Comment 7 Mirko Tietgen 2016-08-06 09:40:17 UTC
(In reply to Frédéric Demians from comment #6)
> Mirko: Could you add libhtml-entities-perl to debian/control, in another
> patch or in this one?

Frederic: Yes, please see bug 17063 for the 16.05.x version. HTML::Entities is in libhtml-parser-perl.
Comment 8 Mirko Tietgen 2016-08-13 11:43:35 UTC
This bug is also valid for 3.22.
Comment 9 Julian Maurice 2016-08-17 13:37:51 UTC
Patch pushed to 3.22.x, will be in 3.22.10